import { cloneElement, forwardRef } from 'react';
import PropTypes from 'prop-types';
import useMergeRefs from '@s-ui/react-hooks/lib/useMergeRefs';
import { getChildrenAsReactNode } from './config.js';
var PopoverExtendChildren = /*#__PURE__*/forwardRef(function (props, forwardedRef) {
  var childrenOnly = getChildrenAsReactNode(props.children);
  var ref = childrenOnly.ref;
  return /*#__PURE__*/cloneElement(childrenOnly, {
    ref: useMergeRefs(forwardedRef, ref)
  });
});
PopoverExtendChildren.displayName = 'PopoverExtendChildren';
export default PopoverExtendChildren;